Bug 616289 (perl-MooseX-Clone) - Review Request: perl-MooseX-Clone - Fine grained cloning support for Moose objects
Summary: Review Request: perl-MooseX-Clone - Fine grained cloning support for Moose ob...
Keywords:
Status: CLOSED ERRATA
Alias: perl-MooseX-Clone
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/MooseX-Cl...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-20 03:25 UTC by Iain Arnell
Modified: 2010-08-05 23:43 UTC (History)
3 users (show)

Fixed In Version: perl-MooseX-Clone-0.05-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-05 23:31:38 UTC
Type: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2010-07-20 03:25:22 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-MooseX-Clone.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-MooseX-Clone-0.05-1.fc14.src.rpm

Description:
Out of the box Moose only provides very barebones cloning support in order
to maximize flexibility.

This role provides a clone method that makes use of the low level cloning
support already in Moose and adds selective deep cloning based on
introspection on top of that. Attributes with the Clone trait will handle
cloning of data within the object, typically delegating to the attribute
value's own clone method.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2330110

*rt-0.10_01

Comment 1 Parag AN(पराग) 2010-07-20 09:42:45 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2330110
+ rpmlint is silent for SRPM and for RPM.
perl-MooseX-Clone.noarch: W: spelling-error %description -l en_US barebones -> bare bones, bare-bones, barytones
perl-MooseX-Clone.src: W: spelling-error %description -l en_US barebones -> bare bones, bare-bones, barytones
perl-MooseX-Clone.src: W: no-cleaning-of-buildroot %clean
perl-MooseX-Clone.src: W: no-buildroot-tag
perl-MooseX-Clone.src: W: no-%clean-section
2 packages and 0 specfiles checked; 0 errors, 5 warnings.
==> Ok for this package
+ source files match upstream url (sha1sum)
690f80e1b8d9c1106acfc3b186d242ffbec18956  MooseX-Clone-0.05.tar.gz
690f80e1b8d9c1106acfc3b186d242ffbec18956  MooseX-Clone-0.05.tar.gz.srpm
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present which is not needed now.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=2, Tests=32,  1 wallclock secs ( 0.02 usr  0.01 sys +  0.48 cusr  0.02 csys =  0.53 CPU)
+ Package perl-MooseX-Clone-0.05-1.fc14.noarch =>
Provides: perl(MooseX::Clone) = 0.05 perl(MooseX::Clone::Meta::Attribute::Trait::Clone) perl(MooseX::Clone::Meta::Attribute::Trait::Clone::Base) perl(MooseX::Clone::Meta::Attribute::Trait::Clone::Std) perl(MooseX::Clone::Meta::Attribute::Trait::Copy) perl(MooseX::Clone::Meta::Attribute::Trait::NoClone) perl(MooseX::Clone::Meta::Attribute::Trait::StrableClone)

Requires: perl(Carp) perl(Hash::Util::FieldHash::Compat) perl(Moose::Role) perl(MooseX::Clone::Meta::Attribute::Trait::Clone) perl(MooseX::Clone::Meta::Attribute::Trait::Copy) perl(MooseX::Clone::Meta::Attribute::Trait::NoClone) perl(MooseX::Clone::Meta::Attribute::Trait::StorableClone) perl(namespace::clean) rpmlib(VersionedDependencies) <= 3.0.3-1

+ Not a GUI application


I think those Requires that are same as provides should be filtered? when I local built this on F13 and tried to install I got
Error: Package: perl-MooseX-Clone-0.05-1.fc13.noarch (/perl-MooseX-Clone-0.05-1.fc13.noarch)
           Requires: perl(MooseX::Clone::Meta::Attribute::Trait::StorableClone)

Comment 2 Iain Arnell 2010-07-20 14:53:11 UTC
Oops! It's actually a typo in StorableClone.pm and already reported upstream. I've applied the patch and the provides should now match the requires.


Spec URL: http://fedorapeople.org/~iarnell/review/perl-MooseX-Clone.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-MooseX-Clone-0.05-2.fc14.src.rpm

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2331157

Comment 3 Parag AN(पराग) 2010-07-20 15:02:47 UTC
oops! my eyes missed that typo.

APPROVED.

Comment 4 Iain Arnell 2010-07-20 15:06:41 UTC
New Package CVS Request
=======================
Package Name: perl-MooseX-Clone
Short Description: Fine grained cloning support for Moose objects
Owners: iarnell
Branches: F-12 F-13
InitialCC: perl-sig

Comment 5 Kevin Fenzi 2010-07-21 05:18:48 UTC
CVS done (by process-cvs-requests.py).

Comment 6 Fedora Update System 2010-07-22 03:14:53 UTC
perl-MooseX-Clone-0.05-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-MooseX-Clone-0.05-2.fc13

Comment 7 Fedora Update System 2010-07-22 03:14:58 UTC
perl-MooseX-Clone-0.05-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-MooseX-Clone-0.05-2.fc12

Comment 8 Fedora Update System 2010-07-23 02:32:52 UTC
perl-MooseX-Clone-0.05-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-MooseX-Clone'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-MooseX-Clone-0.05-2.fc12

Comment 9 Fedora Update System 2010-07-23 02:38:49 UTC
perl-MooseX-Clone-0.05-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-MooseX-Clone'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-MooseX-Clone-0.05-2.fc13

Comment 10 Fedora Update System 2010-08-05 23:31:34 UTC
perl-MooseX-Clone-0.05-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-08-05 23:43:38 UTC
perl-MooseX-Clone-0.05-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.